@ echo off

REM Please make sure this file is run this from elevated command prompt if on Windows Vista or later!
REM Note that working directory (current directory) needs to be the directory where this file is
REM located, due to relative paths being used.


REM Copies "ShutdownScreensaver.scr" to System directory:

installer_support_programs\deploy_screensaver.exe


REM Installs the config file (please edit the config file first - see Readme!txt for details).

installer_support_programs\deploy_config.exe

REM On Windows Vista and later you need to chage permissions to config file if you want to allow
REM users to modify screensaver's settings from its GUI menu. In such case uncomment the line below,
REM and edit it accordingly if installing on different language version of Windows than English
REM (names of "ProgramData" folder and "Users" group might be different).

rem CACLS "C:\ProgramData\4Neurons\Shutdown Screensaver\Shutdown ScreenSaver.ini" /E /G Users:C


REM Deploys the license file
REM Note that "deploy_license.exe" is available only with System Administrator Deployment Pack, 
REM so if you need to install Shutdown Screensaver on large number of computers in your company
REM - make sure your company purchases "System Administrator Deployment Pack" in addition 
REM to required amount of licenses.

rem installer_support_programs\deploy_license.exe "Licensee Name" XXXXXXXX-XXXXXXXX-XXXXXXXX-XXXXXXXX


REM Installs the service and starts it up
REM You need the service only if you want to use Shutdown ScreenSaver as logon screensaver
REM or if you want to take advantage of its "Perform Task before Shutdown" option.

mkdir "%PROGRAMFILES%\Shutdown Screensaver"
copy ShutdownService.exe "%PROGRAMFILES%\Shutdown Screensaver\"
"%PROGRAMFILES%\Shutdown Screensaver\ShutdownService.exe" -install
SvcStart.exe


REM Enables Shutdown Screensaver (writes to registry) for current user with 30 minutes wait time (1800 seconds)

installer_support_programs\enable_screensaver.exe 1800


REM Enable Shutdown Screensaver for logon screen with 15 minutes wait time (writes to registry)

rem installer_support_programs\enable_screensaver.exe 900 /logon


REM Enable Shutdown Screensaver for every user on local machine (writes to registry, setting a value under
REM "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Run" to enable_screensaver.exe

rem mkdir "%PROGRAMFILES%\Shutdown Screensaver"
rem copy installer_support_programs\enable_screensaverGUI.exe "%PROGRAMFILES%\Shutdown Screensaver\"
rem installer_support_programs\enable_for_all.exe "%PROGRAMFILES%\Shutdown Screensaver\enable_screensaverGUI.exe" 1800


pause